%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           py-Asterisk
Version:        0.5.2
Release:        1%{?dist}
Summary:        Python bindings for Asterisk Manager API

Group:          Development/Languages
License:        MIT
URL:            http://code.google.com/p/py-asterisk/
Source0:        http://pypi.python.org/packages/source/p/py-Asterisk/py-Asterisk-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Patch0:         %{name}-0.5-use-python24-syntax.patch

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif
BuildRequires:  python-nose

%description
The Python Asterisk package (codenamed py-Asterisk) is an attempt to produce
high quality, well documented Python bindings for the Asterisk Manager API.

The eventual goal of the package is to allow rich specification of the Asterisk
configuration in Python rather than in the quirky, unstructured, undocumented
mess that we call the Asterisk configuration files. 

%prep
%setup -q
%patch0 -p1

%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/asterisk-dump
%{_bindir}/py-asterisk

%changelog
* Wed Sep 04 2013  Alex Villacis Lasso <a_villacis@palosanto.com> - 0.5.2-1
- Fix build for Fedora 17.

* Tue Jul 02 2013 Alex Villacis Lasso <a_villacis@palosanto.com> - 0.5.2-0
- Update to 0.5.2

* Thu Jan 24 2013 Alex Villacis Lasso <a_villacis@palosanto.com> - 0.5-0
- Initial RPM package.

